# getTasks

abstract fun getTasks(): List<BuildTask>

The tasks that were part of the build.

The order of the tasks corresponds to the order in which the tasks were started. If executing a parallel enabled build, the order is not guaranteed to be deterministic.

The returned list is an unmodifiable view of items. The returned list will be empty if no tasks were executed. This can occur if the build fails early, due to a build script failing to compile for example.

#### Return

the build tasks